%global _mandir /usr/share/man

Name: ucspi-ssl
Version: 0.95b
Release: 0
Summary: SSL client-server command-line tools
Group: Utilities/System
License: See http://www.fehcom.de/ipnet/ucspi-ssl.html
URL: http://www.fehcom.de/ipnet/ucspi-ssl.html
BuildRoot: %{buildroot}
Source0: http://www.fehcom.de/ipnet/ucspi-ssl/ucspi-ssl-%{version}.tgz

%description
sslserver, sslclient, and sslhandle are command-line tools for building SSL
client-server applications. They conform to the UNIX Client-Server Program
Interface, UCSPI.

sslserver listens for IPv6 and/or IPv4 connections, and runs a program for each
connection it accepts. The program environment includes variables that hold the
local and remote host names, IP addresses, and port numbers. sslserver offers a
concurrency limit on acceptance of new connections, and selective handling of
connections based on client identity supporting CIDR IP address notation.
sslserver supports STARTTLS and STLS.

sslclient requests a connection to either a IPv6 or IPv4 TCP sockets, and runs a
program. The program environment includes the same variables as for sslserver.

%prep
%setup -q -n ucspi-ssl-%{version} -c

%build
cd host/superscript.com/net/ucspi-ssl-%{version}

sed -i "1 s|^.*$|%{_bindir}|" src/conf-tcpbin

package/compile

%install
rm -rf %{buildroot}

cd host/superscript.com/net/ucspi-ssl-%{version}

sed -i "1s|^.*$|%{buildroot}%{_bindir}\n|" package/command-cp
sed -i "1,2d" package/command-ln

package/upgrade

mkdir -p "%{buildroot}%{_mandir}/man"{1,2}
sed -i "1s|^.*$|%{buildroot}%{_mandir}|" man/conf-man

package/man

%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc %{_mandir}/*/*

%clean
rm -rf %{buildroot}
rm -rf %{_builddir}/ucspi-ssl-%{version}

